Layer 7 API Management

Expand all | Collapse all

Can we migrate policies from Gateway8.2 to Gateway 9.2?

Jump to Best Answer
  • 1.  Can we migrate policies from Gateway8.2 to Gateway 9.2?

    Posted 10-27-2017 05:27 AM

    Can we migrate policies from Gateway8.2 to Gateway 9.2?
    If so can we do it usng GMU or CMT or any other methods.



  • 2.  Re: Can we migrate policies from Gateway8.2 to Gateway 9.2?

    Posted 10-30-2017 01:53 PM

    Hi there,

     

    GMU works after 8.3 
    where CMT only works with older versions.

    so this will not be supported 

     

    Cheers 

    Kemal 



  • 3.  Re: Can we migrate policies from Gateway8.2 to Gateway 9.2?

    Posted 11-02-2017 04:49 AM

    Thank you Kemal.


    I know this can be achieved to certain extent using CMT also in this the service metadata is getting changed.So please let me know the possible options to migrate policies from gateway 8.2 to gateway 9.2



  • 4.  Re: Can we migrate policies from Gateway8.2 to Gateway 9.2?

     
    Posted 11-07-2017 12:54 PM

    If CMT is not able to work for you at this time, manual approach would be on the only other supported approach (Export policy, create new service, import policy).



  • 5.  Re: Can we migrate policies from Gateway8.2 to Gateway 9.2?

    Posted 11-08-2017 02:48 AM

    Thank-you Nathan.

     

    If there are many API's then it would be a difficult task  to export and import of an individual policy.
    so please let us know if there is any other way to proceed.



  • 6.  Re: Can we migrate policies from Gateway8.2 to Gateway 9.2?
    Best Answer

    Posted 11-15-2017 02:55 PM

    Good afternoon,

     

    If you looking at this as an upgrade not so much an ongoing task, you may want to look at the expedited upgrade instructions - Expedited Appliance Upgrade - CA API Gateway - 9.2 - CA Technologies Documentation 

     

    Sincerely,

     

    Stephen Hughes

    Director, CA Support



  • 7.  Re: Can we migrate policies from Gateway8.2 to Gateway 9.2?

    Posted 11-15-2017 02:59 PM

    Like Stephen said, upgrade might be your other way... and than using GMU 9.2 to 9.2